Great Addon but breaks with HTTPS-Everywhere Rated 4 out of 5 stars

Thanks for a great addon, but as reported by others elsewhere, if breaks when use in conjunction with HTTPS-Everywhere. One solution is to disable the googleapis rule in HTTPS-Everywhere, but the developer of gtranslate was able to fix his addon to work correctly: http://code.google.com/p/gtranslate/issues/detail?id=45 It would be great if you could do something similar.

This review is for a previous version of the add-on (0.9).